All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::PeopleJsonSaver Class Reference

`#include <peopleJsonSaver.hpp>`

Inherits op::FileSaver.

## Public Member Functions

| PeopleJsonSaver (const std::string &directoryPath)
virtual | ~PeopleJsonSaver ()
void | save (const std::vector< std::pair< Array< float >, std::string >> &keypointVector, const std::vector< std::vector< std::array< float, 3 >>> &candidates, const std::string &fileName, const bool humanReadable=true) const

## Additional Inherited Members

Protected Member Functions inherited from op::FileSaver
| FileSaver (const std::string &directoryPath)
virtual | ~FileSaver ()
std::string | getNextFileName (const unsigned long long index) const
std::string | getNextFileName (const std::string &fileNameNoExtension) const

## Constructor & Destructor Documentation

op::PeopleJsonSaver::PeopleJsonSaver | ( | const std::string & | directoryPath | ) |

virtual op::PeopleJsonSaver::~PeopleJsonSaver | ( |  | ) |

virtual

## Member Function Documentation

void op::PeopleJsonSaver::save | ( | const std::vector< std::pair< Array< float >, std::string >> & | keypointVector,
|  | const std::vector< std::vector< std::array< float, 3 >>> & | candidates,
|  | const std::string & | fileName,
|  | const bool | humanReadable = `true`
| ) |  | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/peopleJsonSaver.hpp